import { FieldConfigMetadata, GenericDataModel, StudioFormActionType } from '@aws-amplify/codegen-ui';
import { PropertyAccessExpression, Identifier, Expression, ObjectLiteralExpression, PropertyAssignment } from 'typescript';
/**
 * JSON.parse(s)
 */
export declare const parseValue: (expression: Expression) => import("typescript").CallExpression;
/**
 * modelFields.nonModelFieldArray.map(s => JSON.parse(item))
 */
export declare const parseArrayValues: (accessName: PropertyAccessExpression | Identifier) => import("typescript").CallExpression;
/**
 * arrayFields = nonModelFieldArray: modelFields.nonModelFieldArray.map(s => JSON.parse(item))
 * singleFields =
 *  nonModelField: modelFields.nonModelField ? JSON.parse(modelFields.nonModelField) : modelFields.nonModelField
 */
export declare const generateParsePropertyAssignments: (arrayFields: string[], nonArrayFields: string[], modelFieldsObjectName: string) => PropertyAssignment[];
export declare const generateModelObjectToSave: (fieldConfigs: Record<string, FieldConfigMetadata>, modelFieldsObjectName: string, models: Record<string, GenericDataModel>, isGraphQL: boolean, formActionType: StudioFormActionType) => {
    modelObjectToSave: ObjectLiteralExpression;
    isDifferentFromModelObject: boolean;
};
